POST
https://api.examplary.ai/library/collections/{collectionId}/itemsAdds an item to a collection. Requires at least editor access to both the collection and the resource being added.
Path parameters
collectionIdstringrequired
Request body
resourceIdstringrequired
The ID of the resource being added to the library, e.g. `exam_123`.
descriptionstring· min length: 1required
A publicly visible description of the library item.
namestring· min length: 1· nullable
The name of the library item. If not provided, the name of the original resource will be used.
studentLevelstring· nullable
The student level associated with the library item.
subjectstring· nullable
The subject associated with the library item.
tagsarray string[] | null· nullable
Optional tags, e.g. ['math', 'science'].
metadataobject
Requirements
OAuth scopes
This endpoint requires the library:write scope to be present.